Bug 316519

Summary: Pr message HTML preference
Product: kmail2 Reporter: Anders Lund <anders>
Component: UIAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: wishlist CC: montel
Priority: NOR    
Version: 4.10.1   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In: 4.11

Description Anders Lund 2013-03-11 10:10:42 UTC
I would like to suggest a pr message option to view as HTML. This should be remembered as a tag or flag for the message, so that it wouldn't have to be restated for each view.

Reasoning: Some messages contains HTML formatting that makes text representation useless, for example tables actually used for tabular data. With the current options, I have to change the setting for the folder twice each time I want to view such a message.

Reproducible: Always
Comment 1 Laurent Montel 2013-03-12 06:35:37 UTC
Yes but how ? With a menu entry ?
Because sometime we switch to html just to see html mail but we don't want to set it as html all the time.
etc.
Comment 2 Anders Lund 2013-03-12 06:51:13 UTC
My immediate choice would be a toggle action, in the "Message" menu and context menu, along with "Use fixed font".

Compared to now, you would still have to turn it on/off, just as with the pr folder prererence, so no more work. I can see that there is a precedence to be decided there - my take would be that the pr message setting has the higher precedence.
Comment 3 Anders Lund 2013-03-12 06:52:28 UTC
Another thought: This could also affect display of rendered html in html only messages.
Comment 4 Laurent Montel 2013-03-13 07:47:06 UTC
Git commit 0fe4faf90a2917613d33cacdf2f78f05fe213e73 by Montel Laurent.
Committed on 13/03/2013 at 08:46.
Pushed by mlaurent into branch 'master'.

Start to implement save message display format

It will save if we force to see in html or remote image

M  +1    -0    messageviewer/CMakeLists.txt
A  +72   -0    messageviewer/messagedisplayformatattribute.cpp     [License: LGPL (v2+)]
A  +48   -0    messageviewer/messagedisplayformatattribute.h     [License: LGPL (v2+)]

http://commits.kde.org/kdepim/0fe4faf90a2917613d33cacdf2f78f05fe213e73
Comment 5 Laurent Montel 2013-03-13 09:11:49 UTC
Git commit 89c3f826d957059acc93ebc0ddee619b6f7e08e2 by Montel Laurent.
Committed on 13/03/2013 at 10:11.
Pushed by mlaurent into branch 'master'.

Fix Bug 316519 - Pr message HTML preference

FIXED-IN: 4.11

M  +1    -0    kmail/kmmainwidget.cpp
M  +1    -0    kmail/kmreadermainwin.cpp
M  +6    -0    kmail/kmreaderwin.cpp
M  +1    -0    kmail/kmreaderwin.h
M  +7    -0    messageviewer/viewer.cpp
M  +1    -0    messageviewer/viewer.h
M  +21   -0    messageviewer/viewer_p.cpp
M  +2    -1    messageviewer/viewer_p.h

http://commits.kde.org/kdepim/89c3f826d957059acc93ebc0ddee619b6f7e08e2
Comment 6 Anders Lund 2013-03-13 10:14:43 UTC
Thank you for implementing this, I hope a lot of users will appreciate :)
Comment 7 Laurent Montel 2013-03-13 10:27:54 UTC
I need to polish it but it works fine :)